"use strict";

exports.__esModule = true;
exports.mockCommandImplementation = void 0;

var _makeAssertions = require("./make-assertions");

var mockCommandImplementation = function mockCommandImplementation(context, aggregateName, type, implementation) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Command implementation cannot be mocked if the test was executed.");
  }

  environment.mockCommandImplementation(aggregateName, type, implementation);
  return (0, _makeAssertions.makeAssertions)(context);
};

exports.mockCommandImplementation = mockCommandImplementation;
//# sourceMappingURL=mock-command-implementation.js.map